Skip to content

POST Bulk update position and/or rotation of multiple space objects

POST /spaces/{roomId}/objects/transform: Bulk update position and/or rotation of multiple space objects. Required scopes: space:write

POSThttps://api.rooom.com/spaces/{roomId}/objects/transform
Try it out
space:write

Parameters

Path Parameters

NameTypeDescription
roomIdrequired
Example: _roomId_
stringRoom identifier.

Body required

application/json
NameTypeDescription
objectsrequiredarrayObjects to update with absolute position and/or rotation

Responses

200Objects updated
400Bad request
401Missing scope or not the space owner
403Forbidden
404Space not found
422Some object Ids could not be updated
POST /spaces/{roomId}/objects/transform Bulk update position and/or rotation of multiple space objects Required scopes: space:write roomId Room identifier. objects Objects to update with absolute position and/or rotation